     var useNamespace = false;     
     var indentSize = 3;

	function xmlToJson(xml) { 
		var obj = {};

		var value = xml.value;

		if (value != null) {
			obj = value;
		}
		
		xml.eachChildElement(function(child, index) {
			var nodeName = (useNamespace) ? child.name : child.localName;		
			if (typeof(obj[nodeName]) == "undefined") {
				obj[nodeName] = xmlToJson(child);
			} else {
				if (typeof(obj[nodeName].push) == "undefined") {
					var old = obj[nodeName];
					obj[nodeName] = [];
					obj[nodeName].push(old);
				}
				obj[nodeName].push(xmlToJson(child));
			}
			
		});

		return obj;
			
	}

     var xmlInput = context.getVariable('rawXML2').getContent();   

	var jsonRoot = xmlToJson(xmlInput.root);

	var list = JSON.stringify(jsonRoot, null, indentSize);
	
	context.setVariable('converted',list);
		
	return true;